Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3624 - mutt doesn't pick up on changes to your gnome-terminal background colour by default
Summary: mutt doesn't pick up on changes to your gnome-terminal background colour by d...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mutt
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-21 20:36 UTC by Telsa Gwynne
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-22 20:56:05 UTC


Attachments (Terms of Use)

Description Telsa Gwynne 1999-06-21 20:36:15 UTC
RH 6.0 with kernel 2.2.9-ac5, i586, mutt 0.95.4us, gnome-terminal 1.0.4.

Changed gnome-terminal colours to be "pretty" (ahem) background that looked reasonable on my not-very-good monitor. Started mutt. Mutt ignored my gnome-terminal colours and defaulted to yellowish (wheat?) on black. Looks very bad on poor monitors. Eyestrain. Ugh. I had changed gnome-terminal colours for a reason!

Assumed initially that it was something to do with mutt's colour stuff and wasted lots of time trying things with that. It's actually (I think) slang. Once I set the environment variable COLORFGBG="default;default" then mutt used the colour I'd set and I could read email without a headache. (Lynx uses slang, I believe, and gets my background colour right, so it should be possible.)

It would be nice if either mutt was shipped assuming that COLORFGBG was default;default, or bash was shipped with COLORFGBG set in the profile or bashrc. Or if these are wrong answers, if _something_ was done so that mutt uses the terminal background colours you've set rather than it not knowing you've set it and being creative for you.

Comment 1 Bill Nottingham 1999-06-22 20:56:59 UTC
Linebreaks, please - netscape doesn't deal too well without
them. Thanks.

Fixed in mutt-0.95.6us-2, which will go out in the next
Raw Hide release.


Note You need to log in before you can comment on or make changes to this bug.